{% extends 'trainings/base.html' %}

{% block title %} | Trainings {% endblock %}

{% block content %}
  <a href="{% url 'trainings' %}" class="btn btn-link float-left text-dark">
    <i class="fa fa-arrow-left mr-2"></i>Trainings
  </a>
    <div class="container">
        <h1 class="m-3 text-center">{{ training.title }} details </h1>
        <div class="list-group">
            {% if training.description %}
                <div class="list-group-item d-flex align-items-center justify-content-between">
                    Description: {{ training.description }}
                </div>
            {% else %}
                <div class="list-group-item d-flex align-items-center justify-content-between">
                   No description is available for this training.
                </div>
            {% endif %}
            <h1 class="m-3 text-center">Tests that grant this training</h1>
            {% if perms.tests.take_test %}
                <div class="list-group">
                    {% for test in tests %}
                        <div class="list-group-item d-flex align-items-center justify-content-between">
                            <h5 class="mb-1">{{ test.name }}</h5>
                            <div class="d-flex flex-row">
                                <a href="{% url 'test_sessions' test_id=test.id %}" class="btn btn-primary" role="button">Sessions</a>
                                {% if perms.tests.take_test %}
                                    <a href="{% url 'edit_test' test_id=test.id %}" class="btn btn-secondary ml-3" role="button">Details</a>
                                {% endif %}
                            </div>
                        </div>
                    {% endfor %}
                </div>
            {% else %}
                <p>You don't have permission to view tests!</p>
            {% endif %}
            {% if perms.trainings.view_user_trainings %}
                <h1 class="m-3 text-center">Users with this training</h1>
                <div class="list-group">
                    {% for user_training in training.usertraining_set.all %}
                        <div class="list-group-item d-flex align-items-start justify-content-between">
                            <h5 class="mb-1">{{ user_training.trainee.first_name }} {{ user_training.trainee.last_name }}</h5>
                            <div class="list-group">
                                {% for attempt_training in user_training.attempttraining_set.all %}
                                    <div class="list-group-item d-flex align-items-center justify-content-between">
                                        <span class="mr-3">{{ attempt_training.attempt.submitted }}, {{ attempt_training.attempt.registration.session.test.name }}, {{ attempt_training.attempt.registration.session.name }}:</span>
                                        <span>{% widthratio attempt_training.attempt.grade 1 100 %}%</span>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    {% endfor %}
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}
